Subject: bug#28602: closed (Re: bug#28602: Unpack fails with no error message when using a .zip source)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Mar 2022 10:42:02 +0000

Your bug report

#28602: Unpack fails with no error message when using a .zip source

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28602: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28602
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28602: Unpack fails with no error message when using a .zip source
From: zimoun <[email-masked]>
To: nee <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Mar 2022 11:37:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Tue, 04 Jan 2022 at 23:55, zimoun <[email-masked]> wrote:
> On Fri, 26 Nov 2021 at 02:49, zimoun <[email-masked]> wrote:
>
>> This patch [1] had been submitted in 2017 and fallen in the cracks.  The
>> code below requires improvement and I am not convinced by the feature.
>> Therefore closing?
>>
>> <http://issues.guix.gnu.org/issue/28602
>
> If no answer before the next release [1], I will close it.

Well, 11 weeks later without an answer, I am closing.

Cheers,
simon

Subject: Unpack fails with no error message when using a .zip source
From: nee <[email-masked]>
To: [email-masked]
Date: Mon, 25 Sep 2017 22:10:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

right now unpacking .zip sources only works when unzip is added as
native input. That's all right, but there is no error message, just:

starting phase `unpack'
phase `unpack' failed after 0.0 seconds

It should say something like:

starting phase `unpack'
Archive with .zip suffix failed to unpack. Please add unzip as
native-input to the package, e.g. (native-inputs `(("unzip" ,unzip)))
phase `unpack' failed after 0.0 seconds

I tested this in the cmake-build-system